Bug 97847 - CAN-2003-0252 nfs-utils remote DoS
Summary: CAN-2003-0252 nfs-utils remote DoS
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: nfs-utils   
(Show other bugs)
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Ben Levenson
URL: http://cvs.sourceforge.net/cgi-bin/vi...
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-23 07:32 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-14 16:08:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:207 high SHIPPED_LIVE Important: nfs-utils security update 2003-07-14 04:00:00 UTC

Description Mark J. Cox 2003-06-23 07:32:57 UTC
Janusz Niewiadomski found a buffer overflow bug in nfs-utils version 1.0.3
and earlier. This bug could be exploited by an attacker to cause a remote
Denial of Service (crash). It is not believed that this bug could lead to
remote arbitrary code execution. 

example:

mount somehost:`perl -e 'for($i=0;$i<1000;$i++){print "A";}'` /mnt

This is RHSA-2003:207, erratum in process.

Comment 1 Mark J. Cox 2003-07-04 14:15:01 UTC
Public on Jul14

Comment 2 Mark J. Cox 2003-07-14 16:08:38 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-207.html


Comment 3 Mark J. Cox 2003-07-14 16:13:36 UTC
Co-ordinated release date Jul14 at 12ET


Note You need to log in before you can comment on or make changes to this bug.